package com.yunzhi.inte.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 菜肴表;
 * @author : http://www.chiner.pro
 * @date : 2022-9-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "菜肴表",description = "")
@TableName("dishes")
public class Dishes implements Serializable,Cloneable{
    /** 菜肴ID */
    @ApiModelProperty(name = "菜肴ID",notes = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id ;
    /** 菜肴名称 */
    @ApiModelProperty(name = "菜肴名称",notes = "")
    private String name ;
    /** 菜肴单位 */
    @ApiModelProperty(name = "菜肴单位",notes = "")
    private String unit ;
    /** 食材数量 */
    @ApiModelProperty(name = "食材数量",notes = "")
    private Integer foodNum;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createDate ;

    @TableField(exist = false)
    @ApiModelProperty(name = "菜肴列表", notes = "")
    private List<Integer> ingredientsIdList;
}