package com.yunzhi.inte.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 库存表;
 * @author : http://www.chiner.pro
 * @date : 2022-9-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "库存表",description = "")
@TableName("store")
public class Store implements Serializable,Cloneable{
    /** ID */
    @ExcelIgnore
    @ApiModelProperty(name = "ID",notes = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id ;
    /** 物品名称 */
    @ExcelProperty(value = "名称", index = 0)
    @ApiModelProperty(name = "物品名称",notes = "")
    private String name ;
    /** 所属分类 */
    @ExcelIgnore
    @ApiModelProperty(name = "所属分类",notes = "")
    private Integer typeId ;

    @ExcelProperty(value = "分类", index = 2)
    @TableField(exist = false)
    private String typeName;

    /** 库存量 */
    @ExcelProperty(value = "库存量", index = 3)
    @ApiModelProperty(name = "库存量",notes = "")
    private Integer amount ;
    /** 单位 */
    @ExcelProperty(value = "单位", index = 1)
    @ApiModelProperty(name = "单位",notes = "")
    private String unit ;


    /** 是否食材 */
    @ExcelIgnore
    @ApiModelProperty(name = "是否食材",notes = "")
    private Integer isDish;

    /** 状态 */
    @ExcelIgnore
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建时间 */
    @ExcelIgnore
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createDate ;

}