package com.yunzhi.inte.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 库存日志;
 * @author : http://www.chiner.pro
 * @date : 2022-9-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "库存日志",description = "")
@TableName("store_log")
public class StoreLog implements Serializable,Cloneable{
    /** 日志ID */
    @ExcelIgnore
    @ApiModelProperty(name = "日志ID",notes = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id ;
    /** 操作类型;in入库out出库fix盘点 */
    @ExcelProperty(value = "操作", index = 2)
    @ApiModelProperty(name = "操作类型",notes = "in入库out出库fix盘点")
    private String optType ;
    /** 物品ID */
    @ExcelIgnore
    @ApiModelProperty(name = "物品ID",notes = "")
    private String storeId ;
    /** 数量 */
    @ExcelProperty(value = "数量", index = 3)
    @ApiModelProperty(name = "数量",notes = "")
    private Integer amount ;
    /** 操作前数量 */
    @ExcelIgnore
    @ApiModelProperty(name = "操作前数量",notes = "")
    private Integer preAmount ;
    /** 操作后数量 */
    @ExcelProperty(value = "操作后库存", index = 4)
    @ApiModelProperty(name = "操作后数量",notes = "")
    private Integer aftAmount ;
    /** 操作时间 */
    @ExcelProperty(value = "操作时间", index = 5)
    @ApiModelProperty(name = "操作时间",notes = "")
    private Date createDate ;

    @ExcelProperty(value = "名称", index = 0)
    @TableField(exist = false)
    @ApiModelProperty(name = "物品名称",notes = "")
    private String storeName ;

    @ExcelIgnore
    @TableField(exist = false)
    @ApiModelProperty(name = "物品分类ID",notes = "")
    private Integer typeId ;

    @ExcelProperty(value = "分类", index = 1)
    @TableField(exist = false)
    @ApiModelProperty(name = "物品分类名称",notes = "")
    private String typeName ;
}