package com.yunzhi.inte.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.inte.common.StringUtils;
import org.springframework.stereotype.Service;
import com.yunzhi.inte.entity.StoreLog;
import com.yunzhi.inte.mapper.StoreLogMapper;
import com.yunzhi.inte.service.StoreLogService;

import java.util.List;

/**
 * 库存日志;(store_log)表服务实现类
 * @author : http://www.chiner.pro
 * @date : 2022-9-17
 */
@Service
public class StoreLogServiceImpl extends BaseServiceImpl<StoreLogMapper, StoreLog> implements StoreLogService {

    @Override
    public IPage<StoreLog> getPageBy(IPage<StoreLog> pg, Integer storeId, String name, Integer typeId) {
        if (StringUtils.isEmpty(name)) {
            name = null;
        } else {
            name = "%" + name + "%";
        }

        return baseMapper.getPageBy(pg, storeId, name, typeId);
    }

    @Override
    public List<StoreLog> getListBy(Integer storeId, String name, Integer typeId) {
        if (StringUtils.isEmpty(name)) {
            name = null;
        } else {
            name = "%" + name + "%";
        }

        return baseMapper.getListBy(storeId, name, typeId);
    }
}